﻿using System;
using System.Collections.ObjectModel;
using System.Windows;
using Syncfusion.Windows.Controls.Gantt;
using Syncfusion.Windows.Controls.Grid;
using System.Windows.Media;
using System.Windows.Controls;
using System.Windows.Media.Imaging;
using System.Windows.Data;
using Syncfusion.Windows.Shared;

namespace CustomizedTable
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MainWindow"/> class.
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            GridTreeColumn column1 = new GridTreeColumn
            {
                MappingName = "IsCompleted",
                HeaderText = "IsCompleted",
                StyleInfo = new GridStyleInfo
                {
                    CellType = "CheckBox",
                    HorizontalAlignment = HorizontalAlignment.Center,
                    VerticalAlignment = VerticalAlignment.Center
                }
            };

            // To customize column width
            this.Gantt.GanttGrid.Model.ColumnWidths[3] = 150;

            /// Inserting the custom columns to GanttGrid(Table)
            this.Gantt.GanttGrid.Columns.Insert(2, column1);
        }

        private void ButtonBase_OnClick1(object sender, RoutedEventArgs e)
        {
            for (int i=0; i< this.Gantt.GanttGrid.Columns.Count; i++)
            {
                GridTreeColumn column = this.Gantt.GanttGrid.Columns[i];
                if (column.MappingName.Equals("IsCompleted"))
                {
                    this.Gantt.GanttGrid.Columns.Remove(column);
                }
            }
        }
    }
}
